First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 7915
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Linux Gnome Desktop Team <gnome@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Chris Hornbaker <chrishornbaker@earthlink.net>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
evolution-1.1.1.tar.gz evolution-1.1.1.tar.gz application/gzip Rigo 2002-09-26 04:02 0000 3.85 KB Details
evolution-1.1.2_beta2.tar.gz unmerged libglade-2.0.1 ;-) and am compiling right now...New code, new SRC_URI, new chance ? evolution-1.1.2_beta2.tar.gz application/gzip Rigo 2002-10-13 08:00 0000 5.75 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 7915 depends on: Show dependency tree
Bug 7915 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2002-09-14 10:26 0000
I receive the following error when I  'emerge evolution'  to emerge
evolution-1.0.8-r1 using portage 2.0.36.

make[3]: Entering directory
`/var/tmp/portage/evolution-1.0.8-r1/work/evolution-1.0.8/shell/importer'
/bin/sh ../../libtool --mode=link gcc  -mcpu=athlon -O3 -pipe
-fomit-frame-pointer -falign-functions=4 -fforce-addr -fprefetch-loop-arrays
-I/usr/include/libpisock -Wall -Wunused   -o libevolution-importer.la -rpath
/usr/lib  GNOME_Evolution_Importer-common.lo GNOME_Evolution_Importer-skels.lo
GNOME_Evolution_Importer-stubs.lo evolution-intelligent-importer.lo
evolution-importer-client.lo evolution-importer-listener.lo
evolution-importer.lo intelligent.lo ../../e-util/libeutil.la             
-rdynamic -L/usr/lib -L/usr/X11R6/lib -lbonobo_conf -lbonobo -loaf
-lORBitCosNaming -lORBit -lIIOP -lORBitutil -lbonobox -lgnomeui -lart_lgpl
-lgdk_imlib -lSM -lICE -lgdk_pixbuf -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11
-lxml -lz -lgnome -lgnomesupport -lesd -lasound -laudiofile -lm -ldb1 -lglib   
                           -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgal
-lgnomeprint -lfreetype -lglade-gnome -lglade -lxml -lz -lgnomeui -lart_lgpl
-lgdk_imlib -lSM -lICE -lgnome -lgnomesupport -lesd -lasound -laudiofile -ldb1
-lgdk_pixbuf -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
-lgnomecanvaspixbuf -lpthread -L/usr/lib -lgthread -lglib -lpthread            
     -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgtkhtml -lgal -lgnomeprint
-lfreetype -lglade-gnome -lglade -lxml -lz -lgnomeui -lart_lgpl -lgdk_imlib -lSM
-lICE -lgnome -lgnomesupport -lesd -lasound -laudiofile -ldb1 -lgdk_pixbuf
-lgnomecanvaspixbuf -lgconf-gtk-1 -lgconf-1 -loaf -lORBitCosNaming -lORBit
-lIIOP -lORBitutil -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm 
grep: /var/tmp/portage/libglade-0.17-r6/image//usr/lib/libglade-gnome.la: No
such file or directory
sed: can't read
/var/tmp/portage/libglade-0.17-r6/image//usr/lib/libglade-gnome.la: No such file
or directory
libtool: link:
`/var/tmp/portage/libglade-0.17-r6/image//usr/lib/libglade-gnome.la' is not a
valid libtool archive
make[3]: *** [libevolution-importer.la] Error 1
make[3]: Leaving directory
`/var/tmp/portage/evolution-1.0.8-r1/work/evolution-1.0.8/shell/importer'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/var/tmp/portage/evolution-1.0.8-r1/work/evolution-1.0.8/shell'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/var/tmp/portage/evolution-1.0.8-r1/work/evolution-1.0.8'
make: *** [all-recursive-am] Error 2

My gcc flags are -mcpu=athlon -O3 -pipe -fomit-frame-pointer -falign-functions=4
-fforce-addr -fprefetch-loop-arrays and my system is completely up to date. All
depends are satisfied as well.

It apears that something is looking in the wrong area for the libraries, but
after checking the ebuild, I am stumped.

------- Comment #1 From Matthew Kennedy (RETIRED) 2002-09-14 16:32:09 0000 -------
do you get the same problem with CFLAGS="-mcpu=athlon -O3 -pipe"?

------- Comment #2 From Chris Hornbaker 2002-09-14 18:16:57 0000 -------
Yep, same error. Though, I used these same options with gcc2.95 and it compiled
fine. Well, with the exception of "-march=athlon"; it was i686.

------- Comment #3 From Rigo 2002-09-26 03:38:25 0000 -------
Does this help ;-) ?

--- evolution-1.0.8-r1.ebuild   2002-09-26 09:30:26.000000000 +0200
+++ evolution-1.1.1.ebuild      2002-09-26 10:07:34.000000000 +0200
@@ -10,7 +10,7 @@
 S=${WORKDIR}/${P}
 DESCRIPTION="A GNOME groupware application, a Microsoft Outlook workalike"
 SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${P}.tar.gz
-       ftp://ftp.ximian.com/pub/source/${PN}/${P}.tar.gz
+       ftp://ftp.ximian.com/pub/source/${PN}-beta/${P}.tar.gz
        http://people.codefactory.se/~micke/${PN}/${P}.tar.gz
        http://www.sleepycat.com/update/3.1.17/${DB3}.tar.gz"
 HOMEPAGE="http://www.ximian.com"
@@ -21,10 +21,10 @@
 RDEPEND="app-text/scrollkeeper
        >=gnome-extra/bonobo-conf-0.14
        >=gnome-base/bonobo-1.0.18
-       >=gnome-extra/gal-0.19.2
+       >=gnome-extra/gal-0.20
        =gnome-base/gconf-1.0*
-       >=gnome-extra/gtkhtml-1.0.2-r2
-       >=gnome-base/oaf-0.6.7
+       >=gnome-extra/gtkhtml-1.1.2
+       >=gnome-base/oaf-0.6.10
        >=gnome-base/ORBit-0.5.12
        ( >=gnome-base/libglade-0.17-r1
          <gnome-base/libglade-2.0 )
@@ -32,6 +32,7 @@
        >=dev-libs/libxml-1.8.16
        =gnome-base/gnome-vfs-1.0*
        >=gnome-base/gnome-print-0.34
+       >=net-libs/soup-0.7.4
        >=dev-util/gob-1.0.12
        doc?     ( >=app-text/scrollkeeper-0.3.10-r1 )
        ssl?     ( >=net-www/mozilla-0.9.9 )
@@ -57,17 +58,17 @@
        # code.  I added the fixes for the edit code.
        #
        # Martin Schlemmer (02 April 2002)
-       patch -p0 < ${FILESDIR}/evolution-1.0.3-filter-crash.patch || die
+       #patch -p0 < ${FILESDIR}/evolution-1.0.3-filter-crash.patch || die
        # add mandrake patches
        # fix KDE detection
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-kde.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-kde.patch || die
        # call pilot conduit applet (not pilot link applet)
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-conduit.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-conduit.patch || die
        # Patch from Preston A. Elder to resolve bug #1355
        # fix a problem with literal strings and sertain IMAP servers
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-imapfix.diff || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.2-imapfix.diff || die
        # Use DTD compliant scrollkeeper file (from Mandrake/CVS)
-       patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.8-scrollkeeper.patch || die
+       #patch -d ${S} -p1 < ${FILESDIR}/evolution-1.0.8-scrollkeeper.patch || die

        # lobtoolize to fix not all libs installing, and buggy .la files.
        # also add the gnome-pilot.m4 to the macros directory to fix

Am compiling just yet, so haven't had time to test just yet...riri Included:

evolution-1.1.1.ebuild
soup-0.7.4.ebuild
gal-0.20.ebuild
gtkhtml-1.1.2.ebuild

Enjoy ;-) Rigo

------- Comment #4 From Rigo 2002-09-26 04:02:36 0000 -------
Created an attachment (id=4201) [details]
evolution-1.1.1.tar.gz

------- Comment #5 From Markus Bertheau 2002-09-26 15:43:06 0000 -------
And, Rigo, does it crash for you, too?

------- Comment #6 From Rigo 2002-09-26 16:40:12 0000 -------
Yup...Using strace to see why (I come until the end of the Splash right now ;-)
--> Just remove all /usr/share/evolution/default_user/<All maps>folder*.xml
(it's just one, but I forgot it's name...And....wellm now it's gone ;-)

A lot of components are running for me now, but I'm not getting an Image
:'-(...I'm also searching for a file called shortcuts.xml (it's in your current
profile, but not in CVS/source/anywhere, so I guess it get's created during
compile...Will play with it afterwards (switched to balsa 4 now ;-)...See also
Bug #8405..

Wish me luck ;-)

Rigo

------- Comment #7 From Martin Schlemmer (RETIRED) 2002-09-30 18:59:23 0000 -------
Please try to remerge libglade:

  # emerge '=libglade-0*'


You should see:

----------------snip--------------------------------------
Calculating dependencies ...done!
>>> emerge gnome-base/libglade-0.17-r6 to /
>>> md5 ;-) libglade-0.17.tar.gz
>>> Unpacking source...
>>> Unpacking libglade-0.17.tar.gz
>>> Source unpacked.
 * Working directory: /space/var/tmp/portage/libglade-0.17-r6/work/libglade-0.17...
 * Applying libtool-test.patch...
 * Applying libtool-relink.patch...
 * Applying libtool-tmp.patch...
 * Applying libtool-portage.patch...
----------------------------------------------------------

Note the 'libtool' stuff.  If they are not present, emerge rsync agian
in a bit, and try again.  Then try to merge evolution again, thanks.


------- Comment #8 From Martin Schlemmer (RETIRED) 2002-09-30 19:03:11 0000 -------
It is possible that you may need to remerge a few stuff that depends on
libglade as well to get it working ...

------- Comment #9 From Chris Hornbaker 2002-10-05 17:52:26 0000 -------
This looks like a libglade-0.17-r6 problem to me. I just got the same error
when
i was trying to install devhelp-0.4. I'm not sure if it's suppose to be looking
in `/var/tmp/portage/libglade-0.17-r6/image//usr/lib/ for the libs, but it is.
Heck, those directories don't even exist.

------- Comment #10 From Martin Schlemmer (RETIRED) 2002-10-12 13:30:36 0000 -------
Yes, that was what I said.  Did you remerge libglade like I said ?

------- Comment #11 From Chris Hornbaker 2002-10-12 14:58:44 0000 -------
Same error........

------- Comment #12 From foser (RETIRED) 2002-10-12 15:43:44 0000 -------
cleaned out and emerged libglade 0.17 (mind the version) ?

can you give the output of 'grep "libglade-gnome.la"  /usr/lib/*.la' ?

------- Comment #13 From Chris Hornbaker 2002-10-12 22:17:05 0000 -------
I removed and then re-installed libglade-0.17-r6.

bash-2.05b$ grep "libglade-gnome.la"  /usr/lib/*.la
/usr/lib/libglade-gnome.la:# libglade-gnome.la - a libtool library file
/usr/lib/libgtkhtml.la:dependency_libs=' -L/usr/lib -L/usr/X11R6/lib
/usr/lib/libgal.la /usr/lib/libgnomeprint.la /usr/lib/libfreetype.la
/usr/lib/libgnomecanvaspixbuf.la /usr/lib/libbonobo.la /usr/lib/libbonobox.la
/usr/lib/libgdk_pixbuf.la
/var/tmp/portage/libglade-0.17-r6/image//usr/lib/libglade-gnome.la
/var/tmp/portage/libglade-0.17-r6/image//usr/lib/libglade.la /usr/lib/libxml.la
-lncurses /usr/lib/libgnomeui.la /usr/lib/libart_lgpl.la
/usr/lib/libgdk_imlib.la -lSM -lICE /usr/lib/libgnome.la
/usr/lib/libgnomesupport.la -lz /usr/lib/libesd.la /usr/lib/libasound.la
-lpthread /usr/lib/libaudiofile.la -ldb1 /usr/lib/libgconf-gtk-1.la
/usr/lib/libgconf-1.la /usr/lib/liboaf.la /usr/lib/libpopt.la
/usr/lib/libORBitCosNaming.la /usr/lib/libORBit.la /usr/lib/libIIOP.la
/usr/lib/libORBitutil.la /usr/lib/libgtk.la /usr/lib/libgdk.la
/usr/lib/libgmodule.la /usr/lib/libglib.la -ldl -lXi -lXext -lX11 -lm'

------- Comment #14 From foser (RETIRED) 2002-10-13 05:47:06 0000 -------
Well, as you can see in the grep output libgtkhtml.la uses the wrong paths for
libglade. Remove gtkhtml (not libgtkhtml) and reemerge it, by then i think it
should work. But maybe you have to reemerge gal and evolution as well.

If you still have problems afterwards then please past the new output of the
grep line i gave above with your comment.

------- Comment #15 From Martin Schlemmer (RETIRED) 2002-10-13 07:32:39 0000 -------
Should be about it, execept if there are some screwed *-config files around.

------- Comment #16 From Chris Hornbaker 2002-10-13 07:40:33 0000 -------
Looks like it's fixed. I emerged devhelp to quickly see if the problem still
existed... well, it no longer does! :) What would have caused this problem to
begin with? (I wanna avoid it)

bash-2.05b$ grep "libglade-gnome.la"  /usr/lib/*.la
/usr/lib/libglade-gnome.la:# libglade-gnome.la - a libtool library file
/usr/lib/libgtkhtml.la:dependency_libs=' -L/usr/lib -L/usr/X11R6/lib
/usr/lib/libgal.la /usr/lib/libgnomeprint.la /usr/lib/libfreetype.la
/usr/lib/libgnomecanvaspixbuf.la /usr/lib/libbonobo.la /usr/lib/libbonobox.la
/usr/lib/libgdk_pixbuf.la /usr/lib/libglade-gnome.la /usr/lib/libglade.la
/usr/lib/libxml.la -lncurses /usr/lib/libgnomeui.la /usr/lib/libart_lgpl.la
/usr/lib/libgdk_imlib.la -lSM -lICE /usr/lib/libgnome.la
/usr/lib/libgnomesupport.la -lz /usr/lib/libesd.la /usr/lib/libasound.la
-lpthread /usr/lib/libaudiofile.la -ldb1 /usr/lib/libgconf-gtk-1.la
/usr/lib/libgconf-1.la /usr/lib/liboaf.la /usr/lib/libpopt.la
/usr/lib/libORBitCosNaming.la /usr/lib/libORBit.la /usr/lib/libIIOP.la
/usr/lib/libORBitutil.la /usr/lib/libgtk.la /usr/lib/libgdk.la
/usr/lib/libgmodule.la /usr/lib/libglib.la -ldl -lXi -lXext -lX11 -lm'

------- Comment #17 From Martin Schlemmer (RETIRED) 2002-10-13 07:53:04 0000 -------
It is a problem with libtool .. thus the patches that is applied in the
section I pasted now ...  It is too involved to get into right now for
a detailed explanation.

------- Comment #18 From Rigo 2002-10-13 07:54:15 0000 -------
unmerged libglade-2.0.1 ;-) and am compiling right now...New code, new SRC_URI,
new chance ? 

Had a problem with old evolution files during make install, so I unmerged my
first 1.1.1 try (compiling went ok this time too)...

Rigo

------- Comment #19 From Rigo 2002-10-13 08:00:07 0000 -------
Created an attachment (id=4661) [details]
unmerged libglade-2.0.1 ;-) and am compiling right now...New code, new SRC_URI,
new chance ? 
evolution-1.1.2_beta2.tar.gz


And now in the correct Bugreport (sorry for that one Foser ;-)

------- Comment #20 From foser (RETIRED) 2002-10-13 08:03:17 0000 -------
problem solved, closing.

------- Comment #21 From Martin Schlemmer (RETIRED) 2002-10-13 08:05:20 0000 -------
Good luck .. let me know if it *dont* segfault for you.

First Last Prev Next    No search results available      Search page      Enter new bug